This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 164600 - Shared Objects cannot be accessed: Permission Denied
Summary: Shared Objects cannot be accessed: Permission Denied
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-29 05:02 UTC by J. William Cupp
Modified: 2013-01-10 01:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 01:07:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description J. William Cupp 2005-07-29 05:02:25 UTC
From Bugzilla Helper:
User-Agent: Opera/8.02 (Windows NT 5.1; U; en)

Description of problem:
Just downloaded Fedora Core 4 and attempted an install.  All four disks checked 
out with sha1 checksums, and prior to install all four disks passed the media 
check as good to install.  Installation completed without incident.  Now cannot 
boot system.  During boot up sequence numerous instances of error messages 
appear along the lines of "Cannot open shared object file xxxxx: permission 
denied."  Where xxxxx denotes various files -- it scrolls too rapidly to read. 

Had this problem (a little bit) with FC 3, particularly with file libc.so.6; all 
permissions were checked out but even though were set to 777 (or 755) the boot 
up sequence is denied permission to access.  

Right now, inability to open libc.so.6 knocks out, among other things, the 
network connection eth0, so I cannot get online.  But, there are several files 
which cannot be opened, so I'm hoping there is a common cause (and solution).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Boot up Fedora Core 4.
2.  Watch text messages for errors as boot sequence progresses.
  

Actual Results:  See above.  Numerous (two dozen? three dozen?) error messages scroll rapidly 
across the screen.

Expected Results:  Typical text messages of successful system boot up, free of error messages and 
red-font FAILED reports.

Additional info:

Comment 1 J. William Cupp 2005-07-30 16:09:58 UTC
Problem narrowed to SELinux.  Set mode of SELinux to "permissive" to generate 
warnings rather than deny access to files.  Now, boot up provides about three 
dozen (?) -- they scroll by so fast -- warnings but almost all services start.

Comment 2 Jesse Keating 2006-01-24 01:07:00 UTC
This is something we've been working on upstream.  Systems now boot fine if
selinux is in enforcing.  Closing nextrelease.


Note You need to log in before you can comment on or make changes to this bug.